gnutls_ia_allocate_server_credentials(3)

NAME
gnutls_ia_allocate_server_credentials - API function

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_ia_allocate_server_credentials(gnutls_ia_server_credentials_t * sc);

ARGUMENTS

gnutls_ia_server_credentials_t * sc
    is a pointer to a gnutls_ia_server_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it. Adding this credential to a session will enable TLS/IA, and will require an Application Phase after the TLS handshake (if the client support TLS/IA). Use gnutls_ia_enable() to toggle the TLS/IA mode.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.